//
//  ViewController.m
//  LRSTextScrolling
//
//  Created by HTDZ on 16/12/1.
//  Copyright © 2016年 RongShengLi. All rights reserved.
//

#import "ViewController.h"
#import "LRSTextScrollView.h"

#define RGBColor(r, g, b) [UIColor colorWithRed:(r)/255.0 green:(g)/255.0 blue:(b)/255.0 alpha:1.0]

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    LRSTextScrollView *textScrollView = [[LRSTextScrollView alloc] initWithFrame:CGRectMake(0,200.0, self.view.frame.size.width - 80, 50.0)];
    
    [textScrollView setTitleArray:[NSArray arrayWithObjects:@"马蓉出轨大家怎么看？",@"亲爱的朋友们大家好，向大家多多的学习！",@"最近公司给你加薪了吗？",@"亲，最近加班到几点呀，哈哈哈哈哈~~~",@"高德与百度互掐，你更看好哪方？", nil] andScrollDirection:UIVerticalScrollDirection];
    
    textScrollView.titleFont = 18;
    textScrollView.titleColor = [UIColor blackColor];
    textScrollView.BGColor = RGBColor(221, 221, 221);
    textScrollView.isCanManualScroll = YES;
    [textScrollView clickTitleLabel:^(NSInteger index,NSString *titleString) {
        
        NSLog(@"%ld-----%@",index,titleString);
    }];
    [self.view addSubview:textScrollView];
    
    
    
    LRSTextScrollView *textScrollViewH = [[LRSTextScrollView alloc] initWithFrame:CGRectMake(80,300.0, self.view.frame.size.width - 80, 50.0)];
    
    [textScrollViewH setTitleArray:[NSArray arrayWithObjects:@"最近公司给你加薪了吗？",@"亲，最近加班到几点呀，哈哈哈哈哈~~~",@"高德与百度互掐，你更看好哪方？",@"马蓉出轨大家怎么看？",@"亲爱的朋友们大家好，向大家多多的学习！", nil] andScrollDirection:UIHorizontalScrollDirection];
    
    textScrollViewH.titleFont = 18;
    textScrollViewH.titleColor = [UIColor redColor];
    textScrollViewH.BGColor = RGBColor(221, 221, 221);
    textScrollViewH.isCanManualScroll = YES;
    [textScrollViewH clickTitleLabel:^(NSInteger index,NSString *titleString) {
        
        NSLog(@"%ld-----%@",index,titleString);
    }];
    [self.view addSubview:textScrollViewH];
    
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
